PHTML::CheckBox Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::CheckBox:

## Public Member Functions

| CheckBox (const char *fname, const char *attr=NULL)
| CheckBox (const char *fname, DisableCodes disabled, const char *attr=NULL)
| CheckBox (const char *fname, CheckedCodes check, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~CheckBox ()
Public Member Functions inherited from PHTML::RadioButton
| RadioButton (const char *fname, const char *value, const char *attr=NULL)
| RadioButton (const char *fname, const char *value, DisableCodes disabled, const char *attr=NULL)
| RadioButton (const char *fname, const char *value, CheckedCodes check, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~RadioButton ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Member Functions inherited from PHTML::RadioButton
| RadioButton (const char *type, const char *fname, const char *value, CheckedCodes check, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::InputField
| InputField (const char *type, const char *fname, DisableCodes disabled, const char *attr)
virtual | ~InputField ()
Protected Member Functions inherited from PHTML::FormField
| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | CheckedCodes | check,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::CheckBox::~CheckBox | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- html.h